Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.fingerprint
Class ClassRules

    java.lang.Object
      oracle.ifs.admin.tools.fingerprint.ClassRules

    public class ClassRules

extends java.lang.Object

Represents the class rules.

(Unpublished)

Nested Class Summary
`static class` | `ClassRules.Detail` Represents a detail to retrieve for a given class.

Field Summary
`static java.lang.String` | `REFERENCE_ALWAYS` Value for the reference directive, to always create references.
`static java.lang.String` | `REFERENCE_NEVER` Value for the reference directive, to never create references.

Method Summary
`static void` | `addRule(java.lang.String className, java.lang.String rule, java.lang.Object value)` Adds a specific class rule.
`static boolean` | `alwaysReference(ClassObject co)` Returns whether to always add a reference (and add the object to the reference cache) for objects of the given class type.
`static java.lang.String` | `getAction(ClassObject co)` Returns the action for a given class.
`static ClassRules.Detail[]` | `getDetails(ClassObject co)` Returns the details to retrieve for the given class.
`static java.lang.String` | `getReference(ClassObject co)` Returns the reference directive for a given class.
`static java.lang.String` | `getUniqueAttribute(ClassObject co)` Returns the unique attribute for the given class, if any.
`static boolean` | `neverReference(ClassObject co)` Returns whether to never add a referencefor objects of the given class type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REFERENCE_ALWAYS

    public static final java.lang.String REFERENCE_ALWAYS

  Description copied from class: `ClassRules`
  Value for the reference directive, to always create references.

  Value: always

  See Also:
    Constant Field Values

### REFERENCE_NEVER

    public static final java.lang.String REFERENCE_NEVER

  Description copied from class: `ClassRules`
  Value for the reference directive, to never create references.

  Value: never

  See Also:
    Constant Field Values

Method Detail

### getAction

    public static java.lang.String getAction(ClassObject co)
                                      throws IfsException

  Description copied from class: `ClassRules`
  Returns the action for a given class.

  Parameters:
    `co` - the class
  Returns:
    the action or `null` if there is no specific action for the given class
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getReference

    public static java.lang.String getReference(ClassObject co)
                                         throws IfsException

  Description copied from class: `ClassRules`
  Returns the reference directive for a given class.

  Parameters:
    `co` - the class
  Returns:
    the reference or `null` if there is no reference directive
  Throws:
    `IfsException`

### alwaysReference

    public static boolean alwaysReference(ClassObject co)
                                   throws IfsException

  Description copied from class: `ClassRules`
  Returns whether to always add a reference (and add the object to the reference cache) for objects of the given class type.

  Parameters:
    `co` - the class
  Returns:
    `true` if a reference should always be added, `false` otherwise.
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### neverReference

    public static boolean neverReference(ClassObject co)
                                  throws IfsException

  Description copied from class: `ClassRules`
  Returns whether to never add a referencefor objects of the given class type.

  Parameters:
    `co` - the class
  Returns:
    `true` if a reference should never be added, `false` otherwise.
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getUniqueAttribute

    public static java.lang.String getUniqueAttribute(ClassObject co)
                                               throws IfsException

  Description copied from class: `ClassRules`
  Returns the unique attribute for the given class, if any.

  Parameters:
    `co` - the class
  Returns:
    the unique attribute or `null` if none was defined
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getDetails

    public static ClassRules.Detail[] getDetails(ClassObject co)
                                          throws IfsException

  Description copied from class: `ClassRules`
  Returns the details to retrieve for the given class. The details are cummulative, of the requested ClassObject and all its superclasses.

  Parameters:
    `co` - the class
  Returns:
    the details. A 0-length array is returned if there are no details.
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### addRule

    public static void addRule(java.lang.String className,
                               java.lang.String rule,
                               java.lang.Object value)

  Description copied from class: `ClassRules`
  Adds a specific class rule.

  Parameters:
    `className` - the class name
    `rule` - the rule name
    `value` - the value of the rule
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD